<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<div id="bulk-msg"></div>
<div class="cheetaho-wrap cheetaho-bulk">
	<div class="cheetaho-col cheetaho-col-main">
		<div class="cheetaho-title">CheetahO v<?php echo CHEETAHO_VERSION; ?> <p class="cheetaho-rate-us">
				<strong><?php _e( 'Do you like this plugin?', 'cheetaho-image-optimizer' ); ?></strong><br /> <?php _e( 'Please take a few seconds to', 'cheetaho-image-optimizer' ); ?> <a href="https://wordpress.org/support/view/plugin-reviews/cheetaho-image-optimizer?rate=5#postform"><?php _e( 'rate it on WordPress.org', 'cheetaho-image-optimizer' ); ?></a>! <br />
				<a class="stars" target="_blank" href="https://wordpress.org/support/view/plugin-reviews/cheetaho-image-optimizer?rate=5#postform"><span class="dashicons dashicons-star-filled"></span><span class="dashicons dashicons-star-filled"></span><span class="dashicons dashicons-star-filled"></span><span class="dashicons dashicons-star-filled"></span><span class="dashicons dashicons-star-filled"></span></a>
			</p>
		</div>
		<div class="settings-tab">
			<?php $total_to_optimize = count( $images['images_ids_to_optimize'] ) ; ?>
			<?php if ( 0 == $total_to_optimize ) : ?>
				<div class="cheetaho-alert-success"><?php _e( 'Congratulations! Your media library has been successfully optimized! Come back here when you will have new images to optimize', 'cheetaho-image-optimizer' ); ?></div>
			<?php else : ?>
				<div class="cheetaho-bulk-info"><?php _e( 'Here you can start optimizing your entire library. Press the big button to start improving your website speed instantly! We can optimize your original images size and', 'cheetaho-image-optimizer' ); ?> <b><?php _e( 'thumbnails', 'cheetaho-image-optimizer' ); ?></b> <a href="#"  class="info-btn"><i>i</i></a>.
					<span class="popup-container hide">
						<h3><?php _e( 'What are Thumbnails?', 'cheetaho-image-optimizer' ); ?></h3>
						<?php _e( 'Thumbnails are smaller images generated by your WP theme. Most themes generate between 3 and 6 thumbnails for each Media Library image.', 'cheetaho-image-optimizer' ); ?><br/><br/>
						<?php _e( 'The thumbnails also generate traffic on your website pages and they influence your websites speed', 'cheetaho-image-optimizer' ); ?>.<br/><br/>
						<?php _e( 'It is highly recommended that you include thumbnails in the optimization as well.', 'cheetaho-image-optimizer' ); ?><br/>
					</span><?php _e( 'Please check CheetahO setings', 'cheetaho-image-optimizer' ); ?> <a href="<?php echo CHEETAHO_SETTINGS_LINK; ?>"><?php _e( 'page', 'cheetaho-image-optimizer' ); ?></a> <?php _e( 'for available plugin options', 'cheetaho-image-optimizer' ); ?>.
				</div>
				<p>&nbsp;</p>


				<div class="optimize">
					<div class="progressbar" id="compression-progress-bar" data-number-to-optimize="<?php echo $total_to_optimize; ?>" data-amount-optimized="0">
						<div id="progress-size" class="progress" style="width: 60%;">
						</div>
						<div class="numbers">
							<span id="optimized-so-far">0</span>/<span><?php echo $total_to_optimize; ?></span>
							<span id="percentage">(0%)</span>
						</div>
					</div>
					<div id="bulk-actions" class="optimization-buttons">
						<input type="submit" name="id-start" id="id-start"  onclick="startAction(); return false;" class="button button-primary button-hero visible" value="<?php _e( 'Start Bulk Optimization', 'cheetaho-image-optimizer' ); ?>">
						<input type="submit" name="id-optimizing" id="id-optimizing" onmouseover="optimizingAction(); return false;" class="button button-primary button-hero" value="<?php _e( 'Optimizing...', 'cheetaho-image-optimizer' ); ?>">
						<input type="submit" name="id-cancel" onclick="cancelAction(); return false;" id="id-cancel" class="button button-primary button-hero red" value="<?php _e( 'Cancel', 'cheetaho-image-optimizer' ); ?>">
						<input type="submit" name="id-cancelling" id="id-cancelling" class="button button-primary button-hero red" value="<?php _e( 'Cancelling...', 'cheetaho-image-optimizer' ); ?>">
					</div>
				</div>
				<p><b><?php _e( 'Remember', 'cheetaho-image-optimizer' ); ?>:</b> <?php _e( 'For the plugin to do the work, you need to keep this page open. But no worries: if it will stop, you can continue where you left off!', 'cheetaho-image-optimizer' ); ?></p>

			<?php endif; ?>

		</div>
		<?php if ( $total_to_optimize > 0) : ?>
			<script type="text/javascript">
				<?php

				echo 'jQuery(function() { bulkOptimization(' . json_encode( $images['images_ids_to_optimize'] ) . ')});';

				?>
			</script>

			<table class="wp-list-table widefat fixed striped media whitebox" id="optimization-items" >
				<thead>
				<tr>
					<th class="thumbnail"></th>
					<th class="column-primary" ><?php esc_html_e( 'File', 'cheetaho-image-optimizer' ); ?></th>
					<th class="column"><?php esc_html_e( 'Original size', 'cheetaho-image-optimizer' ); ?></th>
					<th class="column"><?php esc_html_e( 'Size decreased by', 'cheetaho-image-optimizer' ); ?></th>
					<th class="column"><?php esc_html_e( 'Current Size', 'cheetaho-image-optimizer' ); ?></th>
					<th class="column savings" ><?php esc_html_e( 'Savings', 'cheetaho-image-optimizer' ); ?></th>
					<th class="status" ><?php esc_html_e( 'Status', 'cheetaho-image-optimizer' ); ?></th>
				</tr>
				</thead>
				<tbody>
				</tbody>
			</table>
		<?php endif; ?>
	</div>

	<div class="cheetaho-col cheetaho-col-sidebar">
		<?php require_once CHEETAHO_PLUGIN_ROOT . 'admin/views/blocks/stats.php'; ?>
		<?php require_once CHEETAHO_PLUGIN_ROOT . 'admin/views/blocks/support.php'; ?>
		<?php require_once CHEETAHO_PLUGIN_ROOT . 'admin/views/blocks/contacts.php'; ?>
	</div>
</div>
